#!/usr/bin/env python
import os
import subprocess
from datetime import datetime, timedelta
nodes = ['amdahl', 'gustafson', 'moore']

start_time = datetime(2016, 11, 4, 16, 00)
end_time = datetime(2016, 11, 8, 8, 00)
interval = timedelta(hours=8)

current_time = start_time

with open('launch.sh','r') as job_template:
    lines =job_template.readlines()

while current_time < end_time:
    for node in nodes:
        time_directive = '{0:%Y-%m-%dT%H:%M}'.format(current_time)
        job_file = 'job_{0}_{1}.sh'.format(node, time_directive)
        with open(job_file, 'wb') as job:
            for line in lines:
                job.write(line.replace('%NODE%', node).replace('%BEGIN_TIME%', time_directive))

        subprocess.check_call(['sbatch', job_file])
        os.remove(job_file)
        current_time += interval
